[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#223453: marked as done (kdelibs4-dev should depend on libqt3-mt-dev !)



Your message dated Tue, 9 Dec 2003 11:06:17 -0600
with message-id <20031209170617.GN1219@cheney.cx>
and subject line kdelibs4-dev should depend on libqt3-mt-dev !
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 9 Dec 2003 16:15:03 +0000
>From dominique.devriese@student.kuleuven.ac.be Tue Dec 09 10:15:02 2003
Return-path: <dominique.devriese@student.kuleuven.ac.be>
Received: from spoetnik.kulnet.kuleuven.ac.be [134.58.240.46] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1ATj3C-0006Ic-00; Tue, 09 Dec 2003 08:41:23 -0600
Received: from localhost (localhost [127.0.0.1])
	by spoetnik.kulnet.kuleuven.ac.be (Postfix) with ESMTP id 99AF833ECE
	for <submit@bugs.debian.org>; Tue,  9 Dec 2003 15:41:21 +0100 (CET)
Received: from lepidus.kulnet.kuleuven.ac.be (lepidus.kulnet.kuleuven.ac.be [134.58.240.72])
	by spoetnik.kulnet.kuleuven.ac.be (Postfix) with ESMTP
	id 2599833ED6; Tue,  9 Dec 2003 15:41:21 +0100 (CET)
Received: from appel (domi.kotnet.org [10.0.57.168])
	by lepidus.kulnet.kuleuven.ac.be (Postfix) with ESMTP
	id 1583B380002; Tue,  9 Dec 2003 15:41:21 +0100 (CET)
Received: from domi by appel with local (Exim 3.36 #1 (Debian))
	id 1ATj3G-0000s6-00; Tue, 09 Dec 2003 15:41:26 +0100
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdelibs4-dev should depend on libqt3-mt-dev !
X-Mailer: reportbug 2.37
Date: Tue, 09 Dec 2003 15:41:26 +0100
Message-Id: <E1ATj3G-0000s6-00@appel>
Sender: Dominique Devriese <dominique.devriese@student.kuleuven.ac.be>
X-Virus-Scanned: by KULeuven Antivirus Cluster
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 
	2.60-master.debian.org_2003_11_25-bugs.debian.org_2003_11_20 
	(1.212-2003-09-23-exp) on master.debian.org
X-Spam-Status: No, hits=-5.0 required=4.0 tests=HAS_PACKAGE autolearn=no 
	version=2.60-master.debian.org_2003_11_25-bugs.debian.org_2003_11_20
X-Spam-Level: 

Package: kdelibs4-dev
Version: 4:3.1.4-3
Severity: serious


I can hardly believe this hasn't been noticed before, but kdelibs4-dev
should of course depend on libqt3-mt-dev.  I think this is causing
build failures on a mips buildd, at least here:
http://buildd.debian.org/fetch.php?&pkg=kdepim&ver=4%3A3.1.4-1&arch=mips&stamp=1067975888&file=log&as=raw

Can this be fixed ASAP please ?

thanks
domi

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux appel 2.4.22-1-686 #6 Sat Oct 4 14:09:08 EST 2003 i686
Locale: LANG=nl, LC_CTYPE=nl (ignored: LC_ALL set to nl_BE@euro)

Versions of packages kdelibs4-dev depends on:
ii  kdelibs-bin                4:3.1.4-3     KDE core binaries
ii  kdelibs4                   4:3.1.4-3     KDE core libraries
ii  libart-2.0-dev             2.3.16-1      Library of functions for 2D graphi
ii  libarts1-dev               1.1.4-3       aRts Sound system (development fil
ii  libcupsys2-dev             1.1.20final-2 Common UNIX Printing System(tm) - 
ii  libfam-dev                 2.6.10-6      client library to control the FAM 
ii  libpcre3-dev               4.3-3         Development stuff for libpcre
ii  libssl-dev                 0.9.7c-5      SSL development libraries, header 
ii  libxml2-utils              2.6.2-1       XML utilities
ii  libxrender-dev             0.8.3-4       X Rendering Extension client libra

-- no debconf information


---------------------------------------
Received: (at 223453-done) by bugs.debian.org; 9 Dec 2003 17:14:18 +0000
>From ccheney@cheney.cx Tue Dec 09 11:13:37 2003
Return-path: <ccheney@cheney.cx>
Received: from 18.64-5-56.reverse.theplanet.com (pico.surpasshosting.com) [64.5.56.18] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1ATlJc-0004Br-00; Tue, 09 Dec 2003 11:06:28 -0600
Received: from conr-adsl-cheney.txucom.net ([207.70.165.48] helo=calc)
	by pico.surpasshosting.com with esmtp (TLSv1:RC4-SHA:128)
	(Exim 4.24)
	id 1ATlJW-00087V-TZ
	for 223453-done@bugs.debian.org; Tue, 09 Dec 2003 11:06:23 -0600
Received: from ccheney by calc with local (Exim 4.24)
	id 1ATlJR-0001tL-Ox
	for 223453-done@bugs.debian.org; Tue, 09 Dec 2003 11:06:17 -0600
Date: Tue, 9 Dec 2003 11:06:17 -0600
From: Chris Cheney <ccheney@cheney.cx>
To: 223453-done@bugs.debian.org
Subject: kdelibs4-dev should depend on libqt3-mt-dev !
Message-ID: <20031209170617.GN1219@cheney.cx>
Mime-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="IbA9xpzOQlG26JSn"
Content-Disposition: inline
User-Agent: Mutt/1.5.4i
X-AntiAbuse: This header was added to track abuse, please include it with any abuse report
X-AntiAbuse: Primary Hostname - pico.surpasshosting.com
X-AntiAbuse: Original Domain - bugs.debian.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - cheney.cx
Delivered-To: 223453-done@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 
	2.60-master.debian.org_2003_11_25-bugs.debian.org_2003_11_20 
	(1.212-2003-09-23-exp) on master.debian.org
X-Spam-Status: No, hits=-5.0 required=4.0 tests=HAS_PACKAGE autolearn=no 
	version=2.60-master.debian.org_2003_11_25-bugs.debian.org_2003_11_20
X-Spam-Level: 


--IbA9xpzOQlG26JSn
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

I'm fairly certain this isn't actually needed. Note that kdelibs4-dev
depends on libarts1-dev which in turn depends on libqt3-mt-dev. I
think the issue you saw on the buildd was because I shuffled how arts
was packaged, which caused breakage until kdelibs 3.1.4-3 was built.

Thanks,

Chris


ccheney@calc:~$ dpkg -p kdelibs4-dev
Package: kdelibs4-dev
Priority: optional
Section: libdevel
Installed-Size: 5212
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Architecture: i386
Source: kdelibs
Version: 4:3.1.4-3
Replaces: kate (<< 4:3.0.0), kdebase-dev (<< 4:3.0.0), kdelibs3 (<< 4:3.0.0), kdelibs3-bin (<< 4:3.0.0), kdelibs-dev (<< 4:3.0.0), kdepim-dev (<< 4:3.0.0), kdepim-libs (<< 4:3.0.0), libarts (<< 4:3.0.0), libarts-alsa (<< 4:3.0.0), libarts-dev (<< 4:3.0.0), libkmid (<< 4:3.0.0), libkmid-alsa (<< 4:3.0.0), libkmid-dev (<< 4:3.0.0), libkonq-dev (<< 4:3.0.0)
Provides: kdelibs-dev
Depends: kdelibs4 (= 4:3.1.4-3), kdelibs-bin (= 4:3.1.4-3), libart-2.0-dev, libarts1-dev, libcupsys2-dev, libfam-dev, libpcre3-dev, libssl-dev, libxml2-utils, libxrender-dev
Conflicts: kate (<< 4:3.0.0), kdebase-dev (<< 4:3.0.0), kdelibs3 (<< 4:3.0.0), kdelibs3-bin (<< 4:3.0.0), kdelibs-dev (<< 4:3.0.0), kdepim-dev (<< 4:3.0.0), kdepim-libs (<< 4:3.0.0), libarts (<< 4:3.0.0), libarts-alsa (<< 4:3.0.0), libarts-dev (<< 4:3.0.0), libkmid (<< 4:3.0.0), libkmid-alsa (<< 4:3.0.0), libkmid-dev (<< 4:3.0.0), libkonq-dev (<< 4:3.0.0)
Filename: pool/main/k/kdelibs/kdelibs4-dev_3.1.4-3_i386.deb
Size: 923968
MD5sum: 2d0cfd90d7fd995e75071a8b18873a4e
Description: KDE core libraries (development files)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains all the header files needed to develop with the
 core KDE libraries.
 .
 You need these include files to compile kde applications.

ccheney@calc:~$ dpkg -p libarts1-dev
Package: libarts1-dev
Priority: optional
Section: libdevel
Installed-Size: 1164
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Architecture: i386
Source: arts
Version: 1.1.4-3
Replaces: libarts, libarts-alsa, libarts-dev, libartsc0-dev (<= 1.1.4-2), libkmid, libkmid-alsa, libkmid-dev
Depends: libarts1 (= 1.1.4-3), libartsc0-dev, libasound2-dev, libaudio-dev, libaudiofile-dev, libglib2.0-dev, libmad0-dev, libogg-dev, libqt3-mt-dev, libvorbis-dev, xlibs-pic
Conflicts: libarts, libarts-alsa, libarts-dev, libartsc0-dev (<= 1.1.4-2), libkmid, libkmid-alsa, libkmid-dev
Filename: pool/main/a/arts/libarts1-dev_1.1.4-3_i386.deb
Size: 179926
MD5sum: e9f73f272478e9b7acea67757ecdccae
Description: aRts Sound system (development files)
 aRts is a short form for "analog realtime synthesizer". The idea of the whole
 thing is to create/process sound using small modules which do certain tasks.
 These may be create a waveform (oscillators), play samples, filter data, add
 signals, perform effects like delay/flanger/chorus, or output the data to
 the soundcard.
 .
 This package contains the header files needed to build apps that use the aRts
 sound daemon.
 .
 This package is part of the official KDE aRts module.

--IbA9xpzOQlG26JSn
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/1gEJ0QZas444SvIRAmjfAJ42tHj7UZcmMGT9oi6DY63aP0VWIwCgoubd
ixKNhOHEIB6Lj7uOTHjkGqE=
=sUdi
-----END PGP SIGNATURE-----

--IbA9xpzOQlG26JSn--



Reply to: